unit Copyu3;

interface

procedure FileCopy(const InFileName, OutFileName: String);

implementation

uses
  SysUtils, Classes;

procedure FileCopy(const InFileName, OutFileName: String);
var
  InStream, OutStream: TFileStream;
begin
  InStream := TFileStream.Create(InFileName, fmOpenRead + fmShareDenyWrite);
  try
    OutStream := TFileStream.Create(OutFileName, fmCreate);
    try
      OutStream.CopyFrom(InStream, 0);
      FileSetDate(OutStream.Handle, FileGetDate(InStream.Handle));
    finally
      OutStream.Free;
    end;
  finally
    InStream.Free;
  end;
end;

end.
