unit SaverU2;

interface

uses
  WinProcs, WinTypes, Messages, SysUtils, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TMainForm = class(TForm)
    Button1: TButton;
    Button2: TButton;
    ColorDialog1: TColorDialog;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

uses
  ChoiceU, TypInfo, RTTIUnit;

procedure TMainForm.Button2Click(Sender: TObject);
begin
  if ColorDialog1.Execute then
    Color := ColorDialog1.Color
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
  with ChoiceForm, ListBox1 do
    if ShowModal <> mrCancel then
      Self.BorderStyle :=
        TFormBorderStyle(GetEnumValue(
          TypeInfo(TFormBorderStyle), Items[ItemIndex]));
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  ReadProp(Self, 'BorderStyle');
  ReadProp(Self, 'Color');
  ReadProp(Self, 'Top');
  ReadProp(Self, 'Left');
  ReadProp(Self, 'Height');
  ReadProp(Self, 'Width');
end;

procedure TMainForm.FormDestroy(Sender: TObject);
begin
  WriteProp(Self, 'BorderStyle');
  WriteProp(Self, 'Color');
  WriteProp(Self, 'Top');
  WriteProp(Self, 'Left');
  WriteProp(Self, 'Height');
  WriteProp(Self, 'Width');
end;

end.
