Unit SysTrayMainFormUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Menus, SysTrays;

type
  TForm1 = class(TForm)
    SysTray1: TSysTray;
    SysTray2: TSysTray;
    PopupMenu1: TPopupMenu;
    Hide1: TMenuItem;
    Close1: TMenuItem;
    Show1: TMenuItem;
    procedure SysTray1Click(Sender: TObject);
    procedure SysTray2Click(Sender: TObject);
    procedure Hide1Click(Sender: TObject);
    procedure Close1Click(Sender: TObject);
    procedure Show1Click(Sender: TObject);
    procedure SysTray1CloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure SysTray2CloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure SysTray2MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.SysTray1Click(Sender: TObject);
begin
  ShowMessage('First icon clicked');
end;

procedure TForm1.SysTray2Click(Sender: TObject);
begin
  ShowMessage('Second tray icon');
end;

procedure TForm1.Hide1Click(Sender: TObject);
begin
 Systray1.Visible := false;
end;

procedure TForm1.Close1Click(Sender: TObject);
begin
 Systray1.ShutDown := true;
end;

procedure TForm1.Show1Click(Sender: TObject);
begin
  Systray1.Visible := true;
end;

procedure TForm1.SysTray2CloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  CanClose :=
    MessageDlg('Close 2nd icon?', mtConfirmation,
      [mbYes, mbNo], 0) = mrYes;
end;

procedure TForm1.SysTray1CloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  CanClose :=
    MessageDlg('Close 1st icon?', mtConfirmation,
      [mbYes, mbNo], 0) = mrYes;
  SysTray1.Shutdown := CanClose
end;

procedure TForm1.SysTray2MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  if mbRight = Button then
    Close;
end;

end.
