unit AppMsgU;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    function CheckEndSession(var Msg: TMessage): Boolean;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

function TForm1.CheckEndSession(var Msg: TMessage): Boolean;
begin
  Result := False;
  with TWMEndSession(Msg) do
    if (Msg = wm_EndSession) and EndSession then
      MessageBeep(mb_IconExclamation)
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Application.HookMainWindow(CheckEndSession);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Application.UnHookMainWindow(CheckEndSession);
end;

end.